FeedWordPress 0.98: now compatible with WordPress 2.0

Update 2007-11-21: FeedWordPress 0.98 is now out of date. You can download the latest release — 0.991 at the time of this writing — from the project homepage.

First things first.

FeedWordPress is now compatible with WordPress 2.0. Version 0.98 is now available for download (also available in zip format).

It’s been way too long since I’ve been able to work on FeedWordPress. Since the last release (0.97, 6 November 2005), WordPress 2.0 has been finalized and released, much to the improvement of WordPress as a piece of software. The downside is that WordPress 2.0 features some changes to the database schema that broke FeedWordPress’s forward-compatibility, so until now you had to rely on quick code hacks to get updates working.

No more. The official release now should work just as well with either WordPress 1.5 or WordPress 2.0. WordPress 2.0 also makes many more API calls available that let plugin developers avoid direct manipulation of the database; where possible, I’ve taken advantage of these, and my hope is that this will make future releases of WordPress substantially less likely to break FeedWordPress, even if they change database schemas. That’s the hope anyway.

This release has been tested for basic functionality on installations of both WordPress 1.5 and WordPress 2.0. It’s possible that there may still be subtle, non-fatal bugs that I haven’t discovered: if so, please let me know about them in the comments or in private.

Enjoy!